Loading...
Searching...
No Matches
janus_videoroom Struct Reference
Collaboration diagram for janus_videoroom:
[legend]

## Data Fields

guint64 | room_id
gchar * | room_id_str
gchar * | room_name
gchar * | room_secret
gchar * | room_pin
gboolean | is_private
gboolean | require_pvtid
gboolean | signed_tokens
gboolean | require_e2ee
gboolean | dummy_publisher
int | max_publishers
uint32_t | bitrate
gboolean | bitrate_cap
uint16_t | fir_freq
janus_audiocodec | acodec [5]
janus_videocodec | vcodec [5]
char * | vp9_profile
char * | h264_profile
gboolean | do_opusfec
gboolean | do_opusdtx
gboolean | audiolevel_ext
gboolean | audiolevel_event
int | audio_active_packets
int | audio_level_average
gboolean | videoorient_ext
gboolean | playoutdelay_ext
gboolean | transport_wide_cc_ext
gboolean | record
char * | rec_dir
gboolean | lock_record
GHashTable * | participants
GHashTable * | private_ids
volatile gint | destroyed
gboolean | check_allowed
GHashTable * | allowed
gboolean | notify_joining
int | helper_threads
GList * | threads
janus_mutex | mutex
janus_refcount | ref

## Field Documentation

## acodec

janus_audiocodec janus_videoroom::acodec[5]

## allowed

GHashTable* janus_videoroom::allowed

## audio_active_packets

int janus_videoroom::audio_active_packets

## audio_level_average

int janus_videoroom::audio_level_average

## audiolevel_event

gboolean janus_videoroom::audiolevel_event

## audiolevel_ext

gboolean janus_videoroom::audiolevel_ext

## bitrate

uint32_t janus_videoroom::bitrate

## bitrate_cap

gboolean janus_videoroom::bitrate_cap

## check_allowed

gboolean janus_videoroom::check_allowed

## destroyed

volatile gint janus_videoroom::destroyed

## do_opusdtx

gboolean janus_videoroom::do_opusdtx

## do_opusfec

gboolean janus_videoroom::do_opusfec

## dummy_publisher

gboolean janus_videoroom::dummy_publisher

## fir_freq

uint16_t janus_videoroom::fir_freq

## h264_profile

char* janus_videoroom::h264_profile

## helper_threads

int janus_videoroom::helper_threads

## is_private

gboolean janus_videoroom::is_private

## lock_record

gboolean janus_videoroom::lock_record

## max_publishers

int janus_videoroom::max_publishers

## mutex

janus_mutex janus_videoroom::mutex

## notify_joining

gboolean janus_videoroom::notify_joining

## participants

GHashTable* janus_videoroom::participants

## playoutdelay_ext

gboolean janus_videoroom::playoutdelay_ext

## private_ids

GHashTable* janus_videoroom::private_ids

## rec_dir

char* janus_videoroom::rec_dir

## record

gboolean janus_videoroom::record

## ref

janus_refcount janus_videoroom::ref

## require_e2ee

gboolean janus_videoroom::require_e2ee

## require_pvtid

gboolean janus_videoroom::require_pvtid

## room_id

guint64 janus_videoroom::room_id

## room_id_str

gchar* janus_videoroom::room_id_str

## room_name

gchar* janus_videoroom::room_name

## room_pin

gchar* janus_videoroom::room_pin

## room_secret

gchar* janus_videoroom::room_secret

## signed_tokens

gboolean janus_videoroom::signed_tokens

## threads

GList* janus_videoroom::threads

## transport_wide_cc_ext

gboolean janus_videoroom::transport_wide_cc_ext

## vcodec

janus_videocodec janus_videoroom::vcodec[5]

## videoorient_ext

gboolean janus_videoroom::videoorient_ext

## vp9_profile

char* janus_videoroom::vp9_profile

The documentation for this struct was generated from the following file:

- janus_videoroom.c